[comment {-*- tcl -*- doctools manpage}]
[manpage_begin kinetcl_devguide n 1]
[include include/module.inc]
[titledesc {KineTcl - The Developer's Guide}]
[description]
[include include/welcome.inc]

[para] This document is a guide for developers working on KineTcl,
i.e. maintainers fixing bugs, extending the package's functionality,
etc.

[para]

Please read

[list_begin enum]
[enum] [term {KineTcl - License}],
[enum] [term {KineTcl - How To Get The Sources}], and
[enum] [term {KineTcl - The Installer's Guide}]
[list_end]

first, if that was not done already.

Here we assume that the sources are already available in a directory
of your choice, and that you not only know how to build and install
them, but also have all the necessary requisites to actually do
so. The guide to the sources in particular also explains which source
code management system is used, where to find it, how to set it up,
etc.


[section {Playing with KineTcl}]

We currently do not have demo applications.

[section {Developing for KineTcl}]

[comment @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@]
[subsection {Architecture & Concepts}]


[comment @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@]
[subsection {Directory structure}]

[list_begin definitions][comment {___1___}]

[comment =====================================================================]
[def Helpers]

[comment =====================================================================]
[def Documentation]

[list_begin definitions]
[def [file doc/]]

This directory contains the documentation sources. The texts are written
in [term doctools] format, whereas the figures are a mixture of TeX (math
formulas), and tklib's [package dia](gram) package and application.

[def [file embedded/]]

This directory contains the documentation converted to regular manpages
(nroff) and HTML.

It is called embedded because these files, while derived, are part of the
fossil repository, i.e. embedded into it. This enables fossil to access
and display these files when serving the repositories' web interface.
The "Command Reference" link at

[uri http://chiselapp.com/user/andreas_kupries/repository/KineTcl/home]

is, for example, accessing the generated HTML.

[list_end]

[comment =====================================================================]
[def {Demonstration Application and Framework}]

[comment =====================================================================]
[def {Package Code, General structure}]

[list_begin definitions]
[def [file kinetcl.tcl]]

This is the master file of the package. Based on [cmd critcl] (v3.1) it
contain alls the necessary declarations to build the package.

[def [file policy.tcl]]

This is the companions to the [file kinetcl.tcl] file which implements
the higher-level interfaces on top of the C-based primitive
operations, and determines policies.

[para]

The documentation (see [file doc/]) mainly describes this higher-level API,
plus the few primitives which are passed through unchanged, i.e. without
getting wrapped into Tcl procedures.

[list_end]

[comment =====================================================================]
[def {Package Code, Per Package}]

[list_begin definitions]

[def [package kinetcl]]

[list_begin definitions]
[def [file kinetcl.tcl]]
[def [file policy.tcl]]
[list_end]

[list_end]

[list_end][comment {___1___}]

[include include/feedback.inc]
[manpage_end]
